path: /build/build/hyperfine-app-benchmarks-1.18.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="bash-completion fish-completion zsh-completion" emerge app-benchmarks/hyperfine -pv -t && \
    USE="bash-completion fish-completion zsh-completion" emerge -j ${JOBS} --nodeps app-benchmarks/hyperfine
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/hyperfine && luet-portage --dir /pkgdir/hyperfine
    app-benchmarks/hyperfine && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d949ff872981a9131af4633bada37df7582b24e23db36f545e9a9c6278a2d736
  package:
    name: hyperfine
    version: 1.18.0
    category: app-benchmarks
    use_flags:
    - bash-completion
    - fish-completion
    - zsh-completion
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A command-line benchmarking tool
    uri:
    - https://github.com/sharkdp/hyperfine
    license: Apache-2.0 MIT
    buildtimestamp: 2023-10-19 19:31:47.067007701 +0000 UTC m=+344.073092081
    labels:
      BDEPEND: virtual/rust >=virtual/rust-1.37.0
      IUSE: +bash-completion zsh-completion fish-completion debug
      RDEPEND: bash-completion? ( app-shells/bash-completion ) zsh-completion? ( app-shells/zsh-completions
        ) fish-completion? ( app-shells/fish )
      emerge.packages: app-benchmarks/hyperfine
      kit: core-kit
      original.package.name: app-benchmarks/hyperfine
      original.package.slot: "0"
      original.package.version: 1.18.0
    treedir: /build/packages
  package_dir: /pkgdir/hyperfine
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2aaffbddba6ae267c571a9a7ba998fcf4c086ed4ac74d741f38bd861985a87a9
compressiontype: zstd
files:
- usr/bin/hyperfine
- usr/share/bash-completion/completions/hyperfine.bash
- usr/share/doc/hyperfine-1.18.0/README.md.bz2
- usr/share/fish/vendor_completions.d/hyperfine.fish
- usr/share/hyperfine/scripts/README.md
- usr/share/hyperfine/scripts/advanced_statistics.py
- usr/share/hyperfine/scripts/plot_histogram.py
- usr/share/hyperfine/scripts/plot_parametrized.py
- usr/share/hyperfine/scripts/plot_progression.py
- usr/share/hyperfine/scripts/plot_whisker.py
- usr/share/hyperfine/scripts/welch_ttest.py
- usr/share/man/man1/hyperfine.1.bz2
- usr/share/zsh/vendor_completions.d/_hyperfine
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/BDEPEND
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/BUILD_TIME
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/CATEGORY
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/CBUILD
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/CC
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/CFLAGS
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/CHOST
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/CONTENTS
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/COUNTER
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/CXXFLAGS
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/DEFINED_PHASES
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/DESCRIPTION
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/EAPI
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/FEATURES
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/HOMEPAGE
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/INHERITED
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/IUSE
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/IUSE_EFFECTIVE
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/KEYWORDS
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/LDFLAGS
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/LICENSE
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/NEEDED
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/PF
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/RDEPEND
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/REQUIRES
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/SIZE
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/SLOT
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/USE
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/environment.bz2
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/hyperfine-1.18.0.ebuild
- var/db/pkg/app-benchmarks/hyperfine-1.18.0/repository
package_cacheimage: ""
runtime:
  name: hyperfine
  version: 1.18.0
  category: app-benchmarks
  use_flags:
  - bash-completion
  - fish-completion
  - zsh-completion
  requires:
  - name: bash-completion
    version: '>=0'
    category: app-shells
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A command-line benchmarking tool
  uri:
  - https://github.com/sharkdp/hyperfine
  license: Apache-2.0 MIT
  labels:
    BDEPEND: virtual/rust >=virtual/rust-1.37.0
    IUSE: +bash-completion zsh-completion fish-completion debug
    RDEPEND: bash-completion? ( app-shells/bash-completion ) zsh-completion? ( app-shells/zsh-completions
      ) fish-completion? ( app-shells/fish )
    emerge.packages: app-benchmarks/hyperfine
    kit: core-kit
    original.package.name: app-benchmarks/hyperfine
    original.package.slot: "0"
    original.package.version: 1.18.0
